import "PvMP_Plus";

--TODO:
-- "einstellungen zurcksetzen" zu lang
-- tages reset customisieren

LoadData();

initWindow = InitWindow();
overviewWindow = OverviewWindow();
overview_settings_panel = Overview_Settings();
settings = Settings();

if data_loaded then
	overviewWindow:UpdateOverview(true);
else
	initWindow:Open();
end

-- options in plugin manager
plugin.GetOptionsPanel = function(self)

	local opt_panel = Turbine.UI.Control();
	opt_panel:SetHeight(50);

	local open_settings = Turbine.UI.Lotro.Button();
	open_settings:SetText(L.Options_Open_Settings);
	open_settings:SetPosition(15,15);
	open_settings:SetSize(200,30);
	open_settings:SetParent(opt_panel);
	
	open_settings.MouseClick = function()
		settings:Open();
	end
	
	return opt_panel;
end

-- register commands
pvmp_plus_command = Turbine.ShellCommand();
Turbine.Shell.AddCommand("pvmp+", pvmp_plus_command);
function pvmp_plus_command:GetShortHelp()
  return L.Command_Help;
end
function pvmp_plus_command:GetHelp()
  return self:GetShortHelp();
end
function pvmp_plus_command:Execute(cmd, args)
  if (args == L.Command_Options or args == L.Command_Settings) then
    settings:Open();
  else
    Turbine.Shell.WriteLine(self:GetShortHelp());
  end
end

Turbine.Shell.WriteLine("PvMP+ v"..version.." by Glubby");