

Turbine.Chat.Received = function(sender,args)

	if (args.ChatType == Turbine.ChatType.Advancement and
	string.find(args.Message,L.Chat_Earned) and
	string.find(args.Message,L.Chat_Points)) then
	
		local s, e = string.find(args.Message,L.Chat_Earned); 
		local first = e + 1;
		local s, e = string.find(args.Message,L.Chat_Points);
		local last = s - 1;
		local now = GetSecondsOfYear();
		local points_gained = tonumber(string.sub(args.Message,first,last));

		if new_fight then
			new_fight = false;
			points_last_fight = 0;
		end
		
		if (local_player:IsInCombat() or local_player:GetMorale() == nil) then
			points_last_fight = points_last_fight + points_gained;
		end

		data.numbers.points_current_day = data.numbers.points_current_day + points_gained;
		data.numbers.points_total = data.numbers.points_total + points_gained;
		if data.numbers.recent_points[now] == nil then
			data.numbers.recent_points[now] = points_gained;
		else
			data.numbers.recent_points[now] = data.numbers.recent_points[now] + points_gained;
		end
		
		overviewWindow:UpdateOverview();
		Plugins["PvMP+"].Unload();
	end 
	
end

FormatPoints = function(points)
	local temp = tostring(points);
	local temp_length = string.len(temp);
	
	if temp_length == 4 then
		temp = string.sub(temp,1,1) .. "." .. string.sub(temp,2);
	elseif temp_length == 5 then
		temp = string.sub(temp,1,2) .. "." .. string.sub(temp,3);
	elseif temp_length == 6 then
		temp = string.sub(temp,1,3) .. "." .. string.sub(temp,4)
	elseif temp_length == 7 then
		temp = string.sub(temp,1,1) .. "." .. string.sub(temp,2,4) .. "." .. string.sub(temp,5);
	end
	
	return temp;
end