function GetPointsLast10min()
	return GetRecentPoints(600);
end

function GetPointsLastHour()
	return GetRecentPoints(3600);
end

function GetRecentPoints(seconds)

	local count = 0;
	local now = GetSecondsOfYear();
	
	for i,j in pairs(data.numbers.recent_points) do
		if (now - i <= seconds and now - i >= 0) then	count = count + j; end
	end
	
	return count;

end

function GetSecondsOfYear()

 local timestamp = Turbine.Engine.GetDate();
 return (timestamp.DayOfYear - 1) * 86400 + timestamp.Hour * 3600 + timestamp.Minute * 60 + timestamp.Second;

end